ghc-7.0.3: The GHC API

SPARC.Ppr

Synopsis

- pprNatCmmTop :: NatCmmTop Instr -> Doc
- pprBasicBlock :: NatBasicBlock Instr -> Doc
- pprSectionHeader :: Section -> Doc
- pprData :: CmmStatic -> Doc
- pprInstr :: Instr -> Doc
- pprUserReg :: Reg -> Doc
- pprSize :: Size -> Doc
- pprImm :: Imm -> Doc
- pprDataItem :: CmmLit -> Doc

# Documentation

pprNatCmmTop :: NatCmmTop Instr -> Doc

pprBasicBlock :: NatBasicBlock Instr -> Doc

pprSectionHeader :: Section -> Doc

Pretty print a section / segment header. On SPARC all the data sections must be at least 8 byte aligned incase we store doubles in them.

pprData :: CmmStatic -> Doc

pprInstr :: Instr -> Doc

Pretty print an instruction.

pprUserReg :: Reg -> Doc

Pretty print a register. This is an alias of pprReg for legacy reasons, should remove it.

pprSize :: Size -> Doc

Pretty print a size for an instruction suffix.

pprImm :: Imm -> Doc

Pretty print an immediate value.

pprDataItem :: CmmLit -> Doc

Pretty print a data item.